Skip to content

Changelog

0.6.0 (2024-06-19)

Deprecations and Removals

  • Bumped miminal pulpcore requirement to 3.49.0.
  • Droped support for python 3.8.

Misc


0.5.1 (2024-05-23)

Bugfixes

  • Fixed the wrong upper bound for pulpcore version requirement. #265

0.5.0 (2024-02-12)

Features

  • Added replica definitions. #216

Bugfixes

  • Fixed a bug where legacy gems would cause an exception in pulpcore-content. #209

Deprecations and Removals

  • Bumped the requirement on pulpcore to >=3.39 as the next supported version in the line.

0.4.1 (2024-02-12)

Bugfixes

  • Fixed a bug where legacy gems would cause an exception in pulpcore-content. #209

0.4.0 (2023-11-03)

Features

  • Bumped pulpcore compatibility to 3.54.
  • Added support for RBAC and domains. #154

Deprecations and Removals

  • Removed pre 0.2 residua. When you are upgrading from <0.3, and your system was operated on <0.2 before, make sure you have run the corresponding datarepair commands before upgrading the codebase to this version. #143

0.3.0 (2023-09-18)

Deprecations and Removals

  • Added a migration to tell admins to run certain datarepair commands before upgrading to 0.4. #141

0.2.0 (2023-08-15)

Features

  • Added support for gems with a platform that is not "ruby". #130

Bugfixes

  • Fixed the detection of prerelease versions. #114
  • Added a datarepair-gemspec-platform command to regenerate the gemspec artifacts and properly set the platform attribute on existing gems. #130
  • Fixed the generation of gemspec data. #131

0.1.1 (2023-06-29)

Bugfixes

  • Fixed the detection of prerelease versions. #114

0.1.0 (2023-06-26)

Features

  • Added support for pull-through caching. Add a remote to a distribution to enable this feature. #94
  • Implemented new synching and publishing the compact index format. Rubymarshal and quick index will still be generated when publishing, but synching is exclusive to the new format. Added checksum and dependency information to gem content. Added prereleases and includes / excludes filter to remotes. #96
  • Added compatibility for pulpcore 3.25, pulpcore support is now >=3.25,<3.40. #99
  • Added support to assign a remote to a repository. #101

Bugfixes

  • Optimized publish task to be significantly faster. #93

Improved Documentation

  • Added CLI commands to documented workflows. #107

Deprecations and Removals

  • Disabled synching without compact index format. Existing content will still be downloadable. There is a pulpcore-manager datarepair-shallow-gems command that will reindex content to the new format given their artifacts are persisted. #96

0.0.1b3 (2022-03-01)

Misc


0.0.1b2 (2018-12-19)

No significant changes.